//
//  GameOverLayer.m
//  CatJump
//
//  Created by Ray Wenderlich on 3/22/11.
//  Copyright 2011 Ray Wenderlich. All rights reserved.
//

#import "GameOverLayer.h"
#import "HelloWorldScene.h"

@implementation GameOverLayer

- (void)playAgainTapped:(id)sender {    
    [[CCDirector sharedDirector] replaceScene:[HelloWorldScene node]];
}

- (id)initWithDodges:(int)dodges {
    if ((self = [super init])) {
    
        CGSize winSize = [CCDirector sharedDirector].winSize;
        
        NSString *message = [NSString stringWithFormat:@"You dodged %d times!", dodges];
        CCLabelBMFont *label = [CCLabelBMFont labelWithString:message fntFile:@"Arial.fnt"];        
        label.position = ccp(winSize.width/2, winSize.height/2);
        [self addChild:label];
        
        CCLabelBMFont *playAgainLabel = [CCLabelBMFont labelWithString:@"Play Again" fntFile:@"Arial.fnt"];
        CCMenuItemLabel *playAgainItem = [CCMenuItemLabel itemWithLabel:playAgainLabel target:self selector:@selector(playAgainTapped:)];
        playAgainItem.position = ccp(winSize.width/2, winSize.height * 0.2);
        CCMenu *menu = [CCMenu menuWithItems:playAgainItem, nil];
        menu.position = CGPointZero;
        [self addChild:menu];
    }
    return self;
}
@end
