//
//  TitleLayer.m
//  CatJump
//
//  Created by Ray Wenderlich on 3/22/11.
//  Copyright 2011 Ray Wenderlich. All rights reserved.
//

#import "TitleLayer.h"
#import "HelloWorldScene.h"
#import "SimpleAudioEngine.h"

@implementation TitleLayer

- (void)newGameTapped:(id)sender {
    CCLOG(@"New game tapped!");
    [[CCDirector sharedDirector] replaceScene:[HelloWorldScene node]];
}

- (id)init {
    if ((self = [super init])) {
        [[SimpleAudioEngine sharedEngine] preloadEffect:@"meow.wav"];
        [[SimpleAudioEngine sharedEngine] preloadEffect:@"squish.wav"];
        
        CCSprite *title = [CCSprite spriteWithFile:@"Title_catjump.png"];
        title.anchorPoint = CGPointZero;
        [self addChild:title];
        
        CGSize winSize = [CCDirector sharedDirector].winSize;
        
        CCLabelBMFont *newGame = [CCLabelBMFont labelWithString:@"New Game" fntFile:@"Arial.fnt"];
        CCMenuItemLabel *newGameItem = [CCMenuItemLabel itemWithLabel:newGame target:self selector:@selector(newGameTapped:)];
        newGameItem.position = ccp(winSize.width * 0.8, winSize.height * 0.3);
        
        CCMenu *menu = [CCMenu menuWithItems:newGameItem, nil];
        menu.position = CGPointZero;
        [self addChild:menu];
        
        [[SimpleAudioEngine sharedEngine] playBackgroundMusic:@"whack.caf" loop:YES];
        
    }
    return self;
}
@end
